## ddgr 1.7+git20190928.bccdc92

=== Makefile ===
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man/man1
DOCDIR ?= $(PREFIX)/share/doc/ddgr

.PHONY: all install uninstall

all:

install:
	install -m755 -d $(DESTDIR)$(BINDIR)
	install -m755 -d $(DESTDIR)$(MANDIR)
	install -m755 -d $(DESTDIR)$(DOCDIR)
	gzip -c ddgr.1 > ddgr.1.gz
	install -m755 ddgr $(DESTDIR)$(BINDIR)
	install -m644 ddgr.1.gz $(DESTDIR)$(MANDIR)
	install -m644 README.md $(DESTDIR)$(DOCDIR)
	rm -f ddgr.1.gz

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/ddgr
	rm -f $(DESTDIR)$(MANDIR)/ddgr.1.gz
	rm -rf $(DESTDIR)$(DOCDIR)

test:
	./ddgr --help

## ddgr 1.2

=== debian/changelog ===
ddgr (1.2-1) unstable; urgency=medium

  * Import New upstream version
  * d/control: Remove Pyhton3 'requests' library dependency
  *            Remove Python 3.3 (reached EOL) support
  *            Bump Standards-Version to 4.1.2

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 09 Dec 2017 16:21:39 +0800

ddgr (1.1-2) unstable; urgency=medium

  * d/control: Add depends with python3-requests

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 30 Nov 2017 10:27:24 +0800

ddgr (1.1-1) unstable; urgency=medium

  * Import New upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 29 Nov 2017 22:23:02 +0800

ddgr (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #880945)

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 06 Nov 2017 10:33:29 +0800

=== debian/control ===
Source: ddgr
Section: misc
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 10),
               python3 (>= 3.4)
X-Python3-Version: >= 3.4
Standards-Version: 4.1.2
Homepage: https://github.com/jarun/ddgr
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ddgr.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ddgr.git

Package: ddgr
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3 (>= 3.4)
Description: DuckDuckGo from the terminal
 Features
 .
  - Fast and clean (no ads, stray URLs or clutter), custom color
  - Navigate result pages from omniprompt, open URLs in browser
  - Search and option completion scripts for Bash, Zsh and Fish
  - DuckDuckGo Bang support (along with completion)
  - Open the first result directly in browser (as in I'm Feeling Ducky)
  - Non-stop searches: fire new searches at omniprompt without exiting
  - Keywords (e.g. filetype:mime, site:somesite.com) support
  - Specify region, disable safe search
  - HTTPS proxy support, Do Not Track set, optionally disable User Agent
  - Support custom url handler script or cmdline utility
  - Comprehensive documentation, man page with handy usage examples
  - Minimal dependencies
 .

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3

override_dh_usrlocal:

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/jarun/ddgr/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ddgr 1.4

=== debian/changelog ===
ddgr (1.4-1) unstable; urgency=medium

  * Import New upstream version
  * d/conrol: Move VCS to salsa
  *           Bump Standards-Version to 4.1.3
  *           Bump debhelper to 11
  *           Add Build-Depends: dh-python
  * d/compat: Bump compat to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 05 Apr 2018 23:52:29 +0800

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 10),
-               python3 (>= 3.4)
+Build-Depends: debhelper (>= 11),
+               python3 (>= 3.4),
+               dh-python
 X-Python3-Version: >= 3.4
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://github.com/jarun/ddgr
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ddgr.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ddgr.git
+Vcs-Git: https://salsa.debian.org/debian/ddgr.git
+Vcs-Browser: https://salsa.debian.org/debian/ddgr
 
 Package: ddgr
 Architecture: all

## ddgr 1.5

=== debian/changelog ===
ddgr (1.5-1) unstable; urgency=medium

  * Import New upstream version
  * Add upstream metadata
  * d/control:
    - Bump Standards-Version to 4.2.1
    - Bump python3 minimal requirement to 3.5
  * d/rules:
    - Add override_dh_missing target (--fail-missing)

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 11 Sep 2018 09:57:09 +0800

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper (>= 11),
-               python3 (>= 3.4),
+               python3 (>= 3.5),
                dh-python
-X-Python3-Version: >= 3.4
-Standards-Version: 4.1.3
+X-Python3-Version: >= 3.5
+Standards-Version: 4.2.1
 Homepage: https://github.com/jarun/ddgr
 Vcs-Git: https://salsa.debian.org/debian/ddgr.git
 Vcs-Browser: https://salsa.debian.org/debian/ddgr
@@ -14,7 +14,7 @@
 Package: ddgr
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-         python3 (>= 3.4)
+         python3 (>= 3.5)
 Description: DuckDuckGo from the terminal
  Features
  .

## ddgr 1.6

=== debian/changelog ===
ddgr (1.6-1) unstable; urgency=medium

  * Import New upstream version
  * d/control:
    - Add 'python3-setuptools' into Build-Depends
  * d/patches:
    - Add "delete unnecessary copyfile function to avoid upstream changes" patch
  * d/rules:
    - Use pybuild as a build system
  * d/upstream/metadata:
    - Update content

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 19 Nov 2018 13:42:36 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper (>= 11),
                python3 (>= 3.5),
+               python3-setuptools,
                dh-python
-X-Python3-Version: >= 3.5
 Standards-Version: 4.2.1
 Homepage: https://github.com/jarun/ddgr
 Vcs-Git: https://salsa.debian.org/debian/ddgr.git

## ddgr 1.7+git20190928.bccdc92

=== debian/changelog ===
ddgr (1.7+git20190928.bccdc92-2) unstable; urgency=medium

  * Include zsh and fish completions in package (Closes: #946173)
  * Add autopkgtest test case
  * d/control:
    - Bump Standards-Version to 4.5.0

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 27 Jan 2020 17:15:17 +0800

ddgr (1.7+git20190928.bccdc92-1) unstable; urgency=medium

  * Import New upstream version
  * d/control:
    - Bump Standards-Version to 4.4.1
    - Set Rules-Requires-Root: no

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 08 Oct 2019 15:55:41 +0800

ddgr (1.7-1) UNRELEASED; urgency=medium

  * Import New upstream version
  * d/control:
    - Bump Standards-Version to 4.4.0
  * d/watch:
    - Fix malformed filenamemangle

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 06 Oct 2019 12:02:57 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                python3 (>= 3.5),
                python3-setuptools,
                dh-python
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/jarun/ddgr
 Vcs-Git: https://salsa.debian.org/debian/ddgr.git
 Vcs-Browser: https://salsa.debian.org/debian/ddgr

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ddgr
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_usrlocal:

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: test
Depends: @
Restrictions: allow-stderr

## ddgr 1.9

=== debian/changelog ===
ddgr (1.9-2) unstable; urgency=medium

  * d/tests/test:
    - Mark as superficial (Closes: #971461)

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 29 Oct 2020 11:26:16 +0800

ddgr (1.9-1) unstable; urgency=medium

  * Import New upstream version
  * Tweak patch context
  * Add salsa-ci.yml
  * d/control:
    - Bump debhelper-compat to 13

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 28 Jul 2020 12:03:44 +0800

ddgr (1.8.1-1) unstable; urgency=medium

  * Import New upstream version
  * Tweak patch context

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 10 Apr 2020 10:23:27 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                python3 (>= 3.5),
                python3-setuptools,
                dh-python

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ddgr-$1\.tar\.gz/ \
   https://github.com/jarun/ddgr/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ddgr 2.0

=== debian/changelog ===
ddgr (2.0-1) unstable; urgency=medium

  * Import New upstream version
  * d/copyright:
    - Update the copyright year
  * d/control:
    - Bump Standards-Version to 4.6.0.1

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 05 Mar 2022 15:56:21 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python3 (>= 3.5),
                python3-setuptools,
                dh-python
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/ddgr
 Vcs-Git: https://salsa.debian.org/debian/ddgr.git

## ddgr 2.1

=== debian/changelog ===
ddgr (2.1-1) unstable; urgency=medium

  * Import New upstream version
  * Fix d/watch issue
  * d/control:
    - Bump Standards-Version to 4.6.1.0

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 17 Dec 2022 16:30:01 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python3 (>= 3.5),
                python3-setuptools,
                dh-python
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/ddgr
 Vcs-Git: https://salsa.debian.org/debian/ddgr.git

## ddgr 2.2

=== debian/changelog ===
ddgr (2.2-1) unstable; urgency=medium

  * Import New upstream version
  * d/control:
    - Bump Standards-Version to 4.6.2
  * d/copyright:
    - Update copyright info.

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 16 Feb 2024 21:54:55 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python3 (>= 3.5),
                python3-setuptools,
                dh-python
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/ddgr
 Vcs-Git: https://salsa.debian.org/debian/ddgr.git

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ddgr-$1\.tar\.gz/ \
   https://github.com/jarun/ddgr/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
